%define upstream_name    BDB
%define upstream_version 1.91

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 23

Summary:    Asynchronous Berkeley DB access
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/BDB
Source0:    https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(common::sense)
BuildRequires: db-devel
BuildRequires: perl-devel
Requires:   perl(common::sense)
%description
This is the Asynchronous Berkeley DB access API for Perl and DB 4.6.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Tue Nov 28 2023 tv <tv> 1.910.0-23.mga10
+ Revision: 2010457
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 1.910.0-22.mga9
+ Revision: 1861554
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.910.0-21.mga9
+ Revision: 1797006
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.910.0-20.mga9
+ Revision: 1726399
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.910.0-19.mga8
+ Revision: 1594301
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.910.0-18.mga8
+ Revision: 1529412
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.910.0-17.mga8
+ Revision: 1433355
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.910.0-16.mga7
+ Revision: 1292361
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.910.0-15.mga7
+ Revision: 1248992
- Fix file list
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.910.0-14.mga7
+ Revision: 1163155
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.910.0-13.mga7
+ Revision: 1148651
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.910.0-12.mga7
+ Revision: 1126684
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.910.0-11.mga6
+ Revision: 1022692
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.910.0-10.mga6
+ Revision: 956764
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 1.910.0-9.mga6
+ Revision: 846056
- rebuild for soname-ifed perl

* Fri Jun 26 2015 tv <tv> 1.910.0-8.mga6
+ Revision: 844739
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 1.910.0-7.mga6
+ Revision: 842340
- rebuild for perl-5.22

* Sat Oct 18 2014 umeabot <umeabot> 1.910.0-6.mga5
+ Revision: 787800
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.910.0-5.mga5
+ Revision: 742676
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.910.0-3.mga5
+ Revision: 683594
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.910.0-2.mga5
+ Revision: 630825
- Rebuild for perl 5.20

* Tue Apr 15 2014 jquelin <jquelin> 1.910.0-1.mga5
+ Revision: 614605
- update to 1.91

* Sat Oct 19 2013 umeabot <umeabot> 1.900.0-7.mga4
+ Revision: 524209
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.900.0-6.mga4
+ Revision: 430552
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.900.0-5.mga3
+ Revision: 363352
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 31 2012 fwang <fwang> 1.900.0-4.mga3
+ Revision: 276375
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 1.900.0-3.mga3
+ Revision: 274836
- build db5

* Wed May 30 2012 jquelin <jquelin> 1.900.0-2.mga3
+ Revision: 250280
- rebuild for perl 5.16

* Wed Jan 04 2012 jquelin <jquelin> 1.900.0-1.mga2
+ Revision: 190271
- update to 1.9
- update to 1.89

* Sat Jun 11 2011 jquelin <jquelin> 1.880.0-3.mga2
+ Revision: 103459
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 1.880.0-2.mga1
+ Revision: 23191
- cleaning spec file
- imported package perl-BDB

